Unable to downgrade to stable/release due to ssl

teakwood

Active Member
Jul 8, 2006
26
0
151
Sydney
I want to downgrade from CURRENT - what goes wrong? :(

Okay, read your bug report . . . if I try the downgrade (so I can vote for it :) ) does everything else work. Does everything work non-SSL?

Wonder if RELEASE eventually catches up and things fall back into place?
 
Last edited:

chris74108

Well-Known Member
Apr 30, 2004
86
0
156
Sorry, I guess I should provide more info.
The current version changes to native ssl. When I try to downgrade to either stable or release I start getting random ssl errors in whm. Everything will work fine if you login without ssl. When using ssl some of the links in whm will just give a "page can not be displayed" error.

It does not completely roll back to the way it was. I have tested this over and over. Downgrade to release and I have errors. Downgrade to stable I have errors. Upgrade back to current and no errors.

Some examples of links in whm that give the wonderful page can not be displayed error.
*When I edit some zones and save them.
*In cPGS Configuration/download game server files/127.0.0.1 and click download game server file and you instantly get the error every time.
*In Tweak Compilers it sometimes happens if you click disable compilers.

See also http://forums.cpanel.net/showthread.php?t=57222 and read the post by chirpy.
 

chris74108

Well-Known Member
Apr 30, 2004
86
0
156
Well they closed it with the following message.

Moving from Current (or Edge) to Stable (or Release) is not a recommended
practice as often there are changes within Current (or Edge) that are not
backward compatible with Stable (or Release). Please open a support ticket so
we can help you with such a migration. Thank you.
 

chirpy

Well-Known Member
Verifed Vendor
Jun 15, 2002
13,465
30
473
Go on, have a guess
I'm not surprised, since it's not a bug. cPanel have never developed it to be downgraded, though they are introducing the functionality into the current CURRENT and EDGE releases for the future.
 

chris74108

Well-Known Member
Apr 30, 2004
86
0
156
Ya I saw the rollback feature. I just do not like running current. Never intended on running it to start with. Just accidently clicked it when I moved from one server to another and got in a hurry. Its just too close to edge and some problems will still creap into it.
You know like the exim config editor issue (corrupted exim.local.conf).
Thanks for your posts about that. They really helped.